Bug 6115 - citation assistant: remap ctrl+a = save+approve and ctrl-c = cancel to make sure that copy/paste is not overridden
citation assistant: remap ctrl+a = save+approve and ctrl-c = cancel to make s...
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Copyeditors and Proofreaders
2.3.4
PC Linux
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-02 18:46 PDT by jerico
Modified: 2011-01-31 12:13 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against pkp-lib development. (3.45 KB, patch)
2010-11-15 17:30 PST, jerico
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jerico 2010-11-02 18:46:06 PDT
ctrl+a and ctrl+c are important to support normal copy&paste operation. Use different hotkeys for approval and cancel.
Comment 1 Tarek Loubani 2010-11-04 09:30:21 PDT
Perhaps approve can be ctrl-enter and ctrl-esc could be cancel?

Whatever it is, it might be nice to have them under the button text for the important ones. e.g.,

approve <br/> [ctrl-enter]


tarek : )
Comment 2 jerico 2010-11-04 09:46:02 PDT
Thanks for that proposal. I agree with both. We'll try to implement that although I cannot promise that we'll find a cross-browser / cross-OS way to catch esc in JavaScript. Return will not be a problem, I think. The change is scheduled for 2.3.4 which unfortunately will take a bit to come out. Maybe I find a way to provide a patch earlier as this really improves usability quite a bit.

As far as the hotkey hint is concerned: This is already implemented. Hover your mouse pointer over the buttons or other UI elements and you'll see whether they have a hotkey attached. That's how MS Office and many other applications do it.
Comment 3 Tarek Loubani 2010-11-04 19:48:14 PDT
Thank you. I had looked and not seen the hover hint before, but it is obviously there.

tarek : )
Comment 4 jerico 2010-11-15 17:30:06 PST
Created attachment 3330 [details]
Patch against pkp-lib development.

Tarek, can you please see whether this patch works for you?
Comment 5 jerico 2010-11-15 17:31:36 PST
Fixed, see https://github.com/pkp/pkp-lib/commit/f9cac26348db01af32acdccf68516c0db1669e9b. Pending cross-browser test.